Subject: Re: [RFC/PATCH v2] create a skeleton for the command git rebase --status

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 May 2015 08:44:08 -0700

Matthieu Moy <[email-masked]> writes:

> Guillaume Pages <[email-masked]> writes:
> ...
>> And during an interactive rebase:
>>
>> rebase in progress;
>
> This could even become "interactive rebase in progress".
>
> Most of the time, you're supposed to remember whether you ran "git
> rebase" with -i, but a typical use-case is when a newbie requests help
> like "I don't know what I did, but can you fix it?", and then any
> information can be valuable.

Yeah, I like that.

> Not sure the blank lines are meant to be there, but I wouldn't put them
> in the actual output. I'd format it as
>
> Last commands done (5 commands done) :
>   pick 62609785 commit message1
>   (see more at .git/rebase-merge/done)
>
> (lower-case "see" to be consistant with other hints)

Nice.

>> Is it a good practice to send the user find information in the .git
>> directory?
>
> We usually avoid doing that and provide commands to do this (e.g. "git
> rebase --edit-todo" instead of asking the user to do $EDITOR
> .git/rebase-merge/git-rebase-todo), but the ones you show seem OK to me.

Yeah, I think it is OK to suggest peeking into (not writing) files
like this.  We may update the internal implementation but then the
suggestion can and should be updated when that happens.